import { EventEmitter } from '../../../stencil-public-runtime';
import { PredefinedValues } from './types';
export declare class PnDropdownWithMultiInputRowsRow {
    hostElement: Element;
    private _predefinedValue;
    pnFirstInputField: HTMLElement;
    pnSecondInputField: HTMLElement;
    pnDatePicker: HTMLElement;
    pnDeleteRowButton: HTMLElement;
    languageCode: string;
    firstInputPlaceholder: string;
    firstInputMin: number;
    firstInputMax: number;
    firstInputWarning: number;
    firstInputWarningText: string;
    firstInputLowErrorText: string;
    firstInputHighErrorText: string;
    secondInputPlaceholder: string;
    secondInputMin: number;
    secondInputMax: number;
    secondInputWarning: number;
    secondInputWarningText: string;
    secondInputLowErrorText: string;
    secondInputHighErrorText: string;
    dateLabel: string;
    datePlaceholder: string;
    firstValidDate: string;
    lastValidDate: string;
    predefinedValue: string;
    rowIndex: number;
    minRowCount: number;
    disabledDates: string;
    showFirstInputWarning: boolean;
    showFirstInputLowError: boolean;
    showFirstInputHighError: boolean;
    showSecondInputWarning: boolean;
    showSecondInputLowError: boolean;
    showSecondInputHighError: boolean;
    firstInputValue: string;
    secondInputValue: string;
    dateValue: string;
    rowValueChange: EventEmitter<PredefinedValues>;
    deleteRowEvent: EventEmitter<string>;
    firstInputChange: EventEmitter<PredefinedValues>;
    secondInputChange: EventEmitter<PredefinedValues>;
    componentWillLoad(): void;
    componentDidLoad(): void;
    getPredefinedValues(): void;
    applyPredefinedValue(): void;
    setInitialValues(): void;
    addEventHandlers(): void;
    handleFirstInput(e: any): void;
    handleSecondInput(e: any): void;
    validateFirstInput(input: number): void;
    validateSecondInput(input: number): void;
    handleDateChange(e: any): void;
    emitRowValues(): void;
    deleteRow(): void;
    render(): any;
}
